<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="extension">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="module"/>
        <elem name="addr-params" value="host,extension"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="extension"/>
    </annotation>
    <refs>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="extension" feature-id="true"/>
        <param name="module" nillable="true"/>
    </params>
</feature-spec>